%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%if 0%{?fedora} >= 15
%global _with_xulrunner 1
%endif

Name:           natus
Version:        0.1.3
Release:        2%{?dist}
Summary:        A robust JavaScript shell built on the Natus meta-engine

Group:          Development/Languages
License:        MIT
URL:            https://www.github.com/npmccallum/natus
Source0:        https://www.github.com/downloads/npmccallum/natus/natus-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  readline-devel
BuildRequires:  python-devel
BuildRequires:  webkitgtk-devel
%{?_with_xulrunner:
BuildRequires:  xulrunner-devel >= 2.0
}

Requires: %{name}-libs = %{version}-%{release}

%description
A robust JavaScript shell built on the Natus meta-engine

%package libs
Summary: Libraries for embedding the Natus meta-engine
Group: Development/Languages
Requires: %{name}-engine = %{version}-%{release}

%description libs
Libraries for embedding the Natus meta-engine

%package libs-devel
Summary: Development files for embedding the Natus meta-engine
Group: Development/Languages
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig

%description libs-devel
Development files for embedding the Natus meta-engine

%package engine-JavaScriptCore
Summary: JavaScriptCore engine for Natus
Group: Development/Languages
Requires: %{name}-libs = %{version}-%{release}
Provides: %{name}-engine = %{version}-%{release}

%description engine-JavaScriptCore
JavaScriptCore engine for Natus

%{?_with_xulrunner:
%package engine-SpiderMonkey
Summary: SpiderMonkey engine for Natus
Group: Development/Languages
Requires: %{name}-libs = %{version}-%{release}
Provides: %{name}-engine = %{version}-%{release}

%description engine-SpiderMonkey
SpiderMonkey engine for Natus
}

%package python
Summary: Python module for Natus
Group: Development/Languages
Requires: %{name}-libs = %{version}-%{release}

%description python
Python module for Natus

%package -n python-natus
Summary: Natus JavaScript module for Python
Group: Development/Languages
Requires: %{name}-libs = %{version}-%{release}

%description -n python-natus
Natus JavaScript module for Python

%prep
%setup -q

%build
# Fix version requirement, already fixed upstream
sed -i 's|>= 2.0|>= 2|' configure
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Copy missing header, already fixed upstream
cp natus/natusc.h $RPM_BUILD_ROOT%{_includedir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/natus

%files libs
%defattr(-,root,root,-)
%doc ChangeLog COPYING AUTHORS README
%{_libdir}/lib%{name}.so*
%{_libdir}/%{name}
%exclude %{_libdir}/lib%{name}.so
%exclude %{_libdir}/%{name}/%{version}/modules/python.so
%exclude %{_libdir}/%{name}/engines/*

%files libs-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files engine-JavaScriptCore
%defattr(-,root,root,-)
%{_libdir}/%{name}/engines/JavaScriptCore.so

%{?_with_xulrunner:
%files engine-SpiderMonkey
%defattr(-,root,root,-)
%{_libdir}/%{name}/engines/SpiderMonkey.so
}

%files python
%defattr(-,root,root,-)
%{_libdir}/%{name}/%{version}/modules/python.so

%files -n python-natus
%defattr(-,root,root,-)
%{python_sitearch}/%{name}.so

%changelog
* Sun Dec 12 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1.3-2
- Added pkgconfig requires to -devel

* Sat Dec 11 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.1.3-1
- First package
